Trio Mobil GPS Tracking Platform API
This API documentation is proprietary and confidential. Unauthorized reproduction, distribution, or use of this material is strictly prohibited. Use of this documentation is subject to the applicable terms of service and license agreement.
GET /alarmRule/opt-out
Alarm Notification Opt Out
GET /alarmRules
List Alarm Rules
POST /alarmRules
Create Alarm Rule
GET /alarmRules/{id}
Get Alarm Rule
PUT /alarmRules/{id}
Update Alarm Rule
DELETE /alarmRules/{id}
Delete Alarm Rule
POST /auth
Generate Auth Token
DELETE /auth
Revoke Auth Token
GET /auth/2fa
Status 2FA
POST /auth/2fa
Enable 2FA
DELETE /auth/2fa
Disable 2FA
POST /auth/2fa/register
Register 2FA
GET /customers
List Customers
POST /customers
Create Customer
GET /customers/{id}
Get Customer
PUT /customers/{id}
Update Customer
PATCH /customers/{id}
Modify Customer
DELETE /customers/{id}
Delete Customer
GET /dashboards
List Dashboards
POST /dashboards
Create Dashboard
GET /dashboards/{id}
Get Dashboard
PUT /dashboards/{id}
Update Dashboard
DELETE /dashboards/{id}
Delete Dashboard
GET /dealers
List Dealers
POST /dealers
Create Dealer
GET /dealers/{id}
Get Dealer
PUT /dealers/{id}
Update Dealer
PATCH /dealers/{id}
Modify Dealer
DELETE /dealers/{id}
Delete Dealer
POST /directions
Get Directions
GET /drivers
List Drivers
POST /drivers
Create Driver
GET /drivers/{id}
Get Driver
PUT /drivers/{id}
Update Driver
PATCH /drivers/{id}
Modify Driver
DELETE /drivers/{id}
Delete Driver
GET /logo
Get Logo
PUT /logo/{model}/{id}
Update Logo
DELETE /logo/{model}/{id}
Delete Logo
GET /poi
List POIs
POST /poi
Create POI
GET /poi/{id}
Get POI
PUT /poi/{id}
Update POI
PATCH /poi/{id}
Modify POI
DELETE /poi/{id}
Delete POI
GET /records
List Records
POST /records
Create Record
GET /records/summary
Records Summary
GET /records/{id}
Get Record
PUT /records/{id}
Update Record
DELETE /records/{id}
Delete Record
PUT /records/{id}/files
Update Record File
DELETE /records/{id}/files
Delete Record File
GET /regions
List Regions
POST /regions
Create Region
GET /regions/{id}
Get Region
PUT /regions/{id}
Update Region
PATCH /regions/{id}
Modify Region
DELETE /regions/{id}
Delete Region
GET /reminders
List Reminders
POST /reminders
Create/Update Reminder
GET /reminders/summary
Reminders Summary
GET /reminders/{id}
Get Reminder
PUT /reminders/{id}
Update Reminder
DELETE /reminders/{id}
Delete Reminder
GET /reports
List Reports
GET /reports/alarm/history
Alarm History Report
GET /reports/alarm/latest
Latest Alarm Report
GET /reports/driving/behavior/history
Driving Behavior History Report
GET /reports/driving/safety/history
Driving Safety History Report
GET /reports/driving/safety/summary
Driving Safety Summary Report
GET /reports/region/presence/history
Region Presence History Report
GET /reports/region/presence/summary
Region Presence Summary Report
GET /reports/rfid/readings/history
RFID Readings History Report
GET /reports/rfid/readings/latest
Latest RFID Card Readings Report
GET /reports/sensor/measurements/history
Sensor Measurements History Report
GET /reports/sensor/measurements/latest
Latest Sensor Measurements Report
GET /reports/temperature/measurements/history
Temperature Measurements History Report
GET /reports/temperature/measurements/latest
Latest Temperature Measurements Report
GET /reports/temperature/measurements/summary
Temperature Measurements Summary Report
GET /reports/vehicle/canbus/history
CAN Bus Measurements History Report
GET /reports/vehicle/canbus/latest
Latest CAN Bus Measurements Report
GET /reports/vehicle/driving/summary
Driving Summary Report
GET /reports/vehicle/fuel/history
Vehicle Fuel Change History
GET /reports/vehicle/locations/history
Locations History Report
GET /reports/vehicle/locations/latest
Latest Locations Report
GET /revisions/{model}/{id}
List Revisions
GET /rfidCards
List RFID Cards
POST /rfidCards
Create RFID Card
GET /rfidCards/{id}
Get RFID Card
PUT /rfidCards/{id}
Update RFID Card
PATCH /rfidCards/{id}
Modify RFID Card
DELETE /rfidCards/{id}
Delete RFID Card
GET /scheduledReport/opt-out
Scheduled Report Opt Out
GET /scheduledReports
List Scheduled Reports
POST /scheduledReports
Create Scheduled Report
GET /scheduledReports/{id}
Get Scheduled Report
PUT /scheduledReports/{id}
Update Scheduled Report
DELETE /scheduledReports/{id}
Delete Scheduled Report
GET /scheduledReports/{id}/deliveries
List Report Deliveries
POST /scheduledReports/{id}/run
Run Scheduled Report Now
GET /sensors
List Sensors
POST /sensors
Create Sensor
GET /sensors/{id}
Get Sensor
PUT /sensors/{id}
Update Sensor
PATCH /sensors/{id}
Modify Sensor
DELETE /sensors/{id}
Delete Sensor
GET /temperatureSensors
List Temperature Sensors
POST /temperatureSensors
Create Temperature Sensor
GET /temperatureSensors/{id}
Get Temperature Sensor
PUT /temperatureSensors/{id}
Update Temperature Sensor
PATCH /temperatureSensors/{id}
Modify Temperature Sensor
DELETE /temperatureSensors/{id}
Delete Temperature Sensor
GET /users
List Users
POST /users
Create User
GET /users/self
Get Current User
PATCH /users/self/password
Change Password
GET /users/{id}
Get User
PUT /users/{id}
Update User
PATCH /users/{id}
Modify User
DELETE /users/{id}
Delete User
GET /users/{id}/apiKey
Get API Key
POST /users/{id}/apiKey
Create API Key
DELETE /users/{id}/apiKey
Revoke API Key
GET /util/commands
List Commands
POST /util/commands
Create Command
GET /util/commands/{id}
Get Command
DELETE /util/commands/{id}
Delete Command
GET /util/diagnostic/{model}/{id}
Diagnostic
GET /util/geolocation
Geolocation
GET /util/health
API Health Check
PUT /util/passwordReset
Password Reset
GET /util/responseCheck
API Response Check
GET /util/version
API Version
GET /util/websocketURL
Generate WebSocket URL
GET /util/workOrders
List Work Orders
POST /util/workOrders
Create Work Order
GET /util/workOrders/cities
List Work Order Cities
GET /util/workOrders/towns
List Work Order Towns
GET /vehicles
List Vehicles
POST /vehicles
Create Vehicle
GET /vehicles/summary
Vehicles Summary
GET /vehicles/{id}
Get Vehicle
PUT /vehicles/{id}
Update Vehicle
PATCH /vehicles/{id}
Modify Vehicle
DELETE /vehicles/{id}
Delete Vehicle
POST /vehicles/{id}/commands
Create Vehicle Command
DELETE /vehicles/{id}/commands
Delete Vehicle Commands
POST /{model}/{id}/subscription
Create Vehicle Subscription
PUT /{model}/{id}/subscription
Update Vehicle Subscription
DELETE /{model}/{id}/subscription
Cancel Vehicle Subscription